/********** GENERAL **********/
/*****************************/

@font-face {
    font-family: 'Noto Kufi Arabic';
    src: url('../fonts/NotoKufiArabic.woff2') format('woff2');
    font-weight: normal;
    font-display: swap;
    font-style: normal;
}

@font-face {
    font-family: 'Noto Kufi Arabic';
    src: url('../fonts/NotoKufiArabic.woff2') format('woff2');
    font-weight: bold;
    font-display: swap;
    font-style: normal;
}

@supports (font-variation-settings: normal) {
    @font-face {
        font-family: 'Noto Kufi Arabic';
        src: url('../fonts/NotoKufiArabic.woff2') format('woff2 supports variations'),
            url('../fonts/NotoKufiArabic.woff2') format('woff2-variations');
        font-weight: 300 700;
        font-display: swap;
        font-style: normal;
    }
}

:root {
	--space-xs: 1.5rem;
	--space-sm: 2.5rem;
	--space-md: 5rem;
	--space-lg: 7.5rem;
	--space-xl: 10rem;
	--txt-grey: #999999;
}

.mt-0 {
	margin-bottom: 0;
}
.mb-0 {
	margin-bottom: 0;
}
.mt-xs {
	margin-top: var(--space-xs) !important;
}
.mb-xs {
	margin-bottom: var(--space-xs) !important;
}
.mt-sm {
	margin-top: var(--space-sm) !important;
}
.mb-sm {
	margin-bottom: var(--space-sm) !important;
}
.mt-md {
	margin-top: var(--space-md) !important;
}
.mb-md {
	margin-bottom: var(--space-md) !important;
}
.mt-lg {
	margin-top: var(--space-lg) !important;
}
.mb-lg {
	margin-bottom: var(--space-lg) !important;
}

/* ratios */
.ratio-wide {
	aspect-ratio: 1.83/1;
	/*aspect-ratio: 1920/1050;*/
}
.ratio-tall {
	aspect-ratio: 0.828125/1;
	/*aspect-ratio: 795/960;*/
}
.ratio-square {
	aspect-ratio: 1/1;
}


body {
	font-family: 'Noto Kufi Arabic';
	font-size: .8125rem;
	line-height: 1.375rem;
	font-weight: normal;
}

.text-center {
	text-align: center;
}
.text-narrow {
	margin-left: 9%;
	margin-right: 9%;
}

.section-sm {
	padding-top: var(--space-sm);
	padding-bottom: var(--space-sm);
}
.section-md {
	padding-top: var(--space-md);
	padding-bottom: var(--space-md);
}

.btn-inverted .elementor-button {
	background-color: var( --e-global-color-secondary );
	color: var( --e-global-color-primary );
}
.btn-inverted .elementor-button:hover {
	background-color: var( --e-global-color-accent );
	color: var( --e-global-color-secondary );
}
.btn-outline .elementor-button {
	background-color: transparent;
	color: var( --e-global-color-primary );
	border: 1px solid var( --e-global-color-primary );
}
.btn-outline .elementor-button:hover {
	background-color: var( --e-global-color-primary );
	color: #fff;
}

#backtotop {
	display: none;
}

/********* OVERRIDES *********/
/*****************************/
a {
	transition: .25s color !important;
}
b, strong {
	font-weight: bold;
}
.form-control {
	border-radius: 3px;
}
.gformcms_action {
	float: none;
}
.gformcms_action #submitForm {
	display: block;
	width: 100%;
}
.elementor-size-small {
	font-size: .9rem;
}
footer,
footer a {
	color: #fff;
}
footer a:hover {
	color: var( --e-global-color-accent );
}
.elementor-widget-text-editor p:last-child {
	margin-bottom: 0;
}
.header-submenu .e-n-tabs-content > div.elementor-widget-update-0 {
	padding: 0;
}
.elementor-widget-st-product-name h1.stsb_pro_name {
	text-transform: none;
}
.page-content.page-cms {
	padding-left: 0;
	padding-right: 0;
}
.stsb_my_account_page_content .page-header,
.stsb_my_account_page_content .form-footer {
	text-align: center;
}
#search_filters .facet {
	border-bottom: 1px solid #ccc !important;
}

.stsb_checkout_wrapper .cart-grid-right {
	width: 30%;
	background-color: var( --e-global-color-5ad3330 );
}
.stsb_checkout_wrapper .cart-grid-right .card {
	background-color: transparent;
}
.order-confirmation-table-head {
	background-color: #f6f6f6;
}
#order-items hr {
	border-top-color: #eeeeee;
}

@media (max-width: 1399px) {
	.main-menu-desk .e-n-tabs-heading {
		gap: 15px;
	}	
}
@media (min-width: 1400px) {
  .container {
    width: 1400px;
    max-width: 100%;
  }
}
@media (min-width: 768px) {
	.order-confirmation-table .order-line {
		display: flex;
		align-items: center;
	}
}
@media (max-width: 767px) {
	.order-confirmation-table-head ._desktop-title {
		display: none;
	}
	.order-confirmation-table-head .text-md-center {
		text-align: right;
	}
}

/* missing bootstrap elements */
.card {
	border: 1px solid rgba(0,0,0,.125);
	border-radius: 5px;
}
.card-body {
	flex: 1 1 auto;
	padding: 1.25rem;
}
.card-title {
	padding-bottom: .75rem;
	margin-bottom: .75rem;
	border-bottom: 1px solid rgba(0,0,0,.125);
}
.card-header {
	padding: .75rem 1.25rem;
	margin-bottom: 0;
	background-color: rgba(0,0,0,.03);
	border-bottom: 1px solid rgba(0,0,0,.125);
}
.card-footer {
	padding: .75rem 1.25rem;
	background-color: rgba(0,0,0,.03);
	border-top: 1px solid rgba(0,0,0,.125);
}
.badge {
	display: inline-block;
	padding: .4em .75em;
	font-size: 75%;
	font-weight: 700;
	line-height: 1;
	text-align: center;
	white-space: nowrap;
	vertical-align: baseline;
	border-radius: .25rem;
	color: #fff;
}
.badge-success {
	background-color: #28a745;
}
.badge-danger {
	background-color: #dc3545;
}
.badge-warning {
	color: #212529;
	background-color: #ffc107;
}
.badge-info {
	background-color: #17a2b8;
}

/********** WEBSITE **********/
/*****************************/

/* header */
.header-subcat-menu > .elementor-widget-container > .sbmenu_category_block > .sbmenu_multi_level {
	display: flex;
}
.header-subcat-menu .sbmenu_sub_layout_1 .sbmenu_multi_level .sbmenu_multi_level {
	left: 0;
	top: 100%;
}

/* homepage main */
.home-banner-row .elementor-widget-button {
	position: absolute;
	left: 0;
	top: 45%;
	width: 100%;
}

/* homepage subs */
.sub-home-hero-video,
.row-home-creators {
	padding: 3rem;
}
@media (min-width: 1200px) {	
	.sub-home-hero-video .elementor-widget-heading {
		width: 50%;
	}
}
@media (max-width: 576px) {
	.sub-home-hero-video,
	.row-home-creators {
		padding: var(--space-xs);
	}
	.sub-home-hero-video {
		padding-bottom: 5rem;
	}
}

/* catalog page with listing */
#search_filters .facet .facet-title {
	margin-bottom: 5px;
}
#search_filters .facet .facet-label {
	display: flex;
	flex-direction: row;
}
#search_filters .facet .facet-label a {
	margin-top: 0;
}
#search_filters .facet .facet-label .custom-checkbox {
	top: -2px;
}
#search_filters .facet[data-name="Color"] ul {
	display: flex !important;
	flex-direction: row;
	flex-wrap: wrap;
}
#search_filters .facet[data-name="Color"] ul li {
	width: 50%;
}

/* about us */
.row-about-feature > .e-con-inner {
	padding: 0;
}
.row-about-feature .col-txt {
	padding: 9%;
}

.row-about-icons .col-icon:not(:last-child) {
	border-bottom: 1px solid #eee;
}
.row-about-icons .col-icon {
	transform: all .25s;
}
.row-about-icons .col-icon:not(.col-last):hover {
	box-shadow: 0 0 15px rgba(0,0,0,.1);
}
.row-about-icons .col-icon .elementor-image-box-description,
.row-about-feature .col-txt .stsb_read_more_box {
}
.row-about-icons .col-icon.col-last {
	background: #f9f9f9;
}

/* join lumeme */
.joinus-row-apart {
}
.joinus-form {
	border: 1px solid #ccc;
	border-radius: 15px;
	padding: var(--space-xs);
}
.joinus-form select {
	max-width: none;
}

@media (min-width: 993px) {
	.row-about-icons .col-icon:nth-child(odd) {
		border-right: 1px solid #eee;
	}
}
@media (max-width: 992px) {
	.row-about-feature > .e-con-inner {
		flex-direction: column !important;
	}
	.row-about-feature .col-img,
	.row-about-feature .col-txt {
		width: 100%;
	}
	.row-about-feature.row-about-img-right .col-txt {
		order: 2 !important;
	}
	.row-about-feature.row-about-img-right .col-img {
		order: 1 !important;
	}
	.row-about-icons .col-icon {
		width: 100% !important;
	}
	#mc_embed_signup_scroll .mc-field-group {
		flex: 1;
	}
	#mc_embed_signup_scroll .mc-field-group input {
		width: 100%;
	}
}
@media (max-width: 576px) {
	.row-about-feature .col-txt {
		padding: 30px;
	}
	#mc_embed_signup_scroll {
		flex-direction: column;
	}
	#mc_embed_signup_scroll #mc-embedded-subscribe {
		margin-left: 0;
		margin-top: 10px;
		width: 100%;
	}
}

/* login & register */
.login-tabs-block {
	background: #f9f9f9;
}
.login-tabs-block .e-n-tabs-heading {
	position: relative;
}
.login-tabs-block .e-n-tabs-heading::after {
	content: '';
	display: block;
	height: 100%;
	width: 1px;
	background: #eee;
	position: absolute;
	left: 50%;
	top: 5px;
}
.login-tabs-block .e-n-tabs-content > .e-con {
	padding: 30px;
}
.login-tabs-block .e-n-tabs-content {
	border-top: 1px solid #eee;
}

/* my account */
.stsb_my_account_page .stsb_my_account_page_nav .stsb-icon-list-item-kuan {
	padding: 16px 0;
}
.stsb_my_account_page_content .wishlist-container-header {
	justify-content: center;
	position: relative;
}
.wishlist-add-to-new {
	position: absolute;
	right: 0;
}
@media (max-width:768px) {
	.stsb_my_account_page_nav {
		display: none;
	}
}

/* footer */
footer .mc-form-subscribe {
	background-color: #ffffff;
	color: #000000;
}
footer .mc-form-subscribe:hover {
	background-color: var( --e-global-color-accent );
	color: #000000;
}
.col-badge-footer picture {
	display: block;
	background: #ffffff;
	border-radius: 50%;
	padding: 5px;
}
.col-badge-footer picture img {
	max-width: 50px;
}

/* brands vendor module */
.brand-media-static {
	display: flex;
}
.brand-certificates {
	background-color: var( --e-global-color-5ad3330 );
	padding: 5px;
	border-radius: 5px;
}
.brand-certificates ul {
	margin: 0;
}
.brand-certificates ul li {
	display: inline-block;
	padding: 5px;
	border-radius: 5px;
}
.brand-logo .stsb_st_manufacturer_image_wrapper {
	max-width: 150px;
	margin: auto;
}

.stsb_my_account_page_content .seller-account-menu {
	gap: 44px;
}
.stsb_my_account_page_content .seller-account-menu li {
	position: relative;
}
.stsb_my_account_page_content .seller-account-menu li:not(:last-child)::after {
	content: "";
	display: block;
	width: 14px;
	height: 1px;
	background: #ddd;
	position: absolute;
	top: 50%;
	left: calc(100% + 15px);
}
@media (max-width:768px) {
	.stsb_my_account_page_content .seller-account-menu-block {
		display: none;
	}
}

#sideSellerMenu .seller-account-menu {
	display: flex;
	flex-direction: column;
	gap: 1rem;
}
#sideSellerMenu .seller-account-menu-title {
	border-bottom: 1px solid #ddd;
}

/* BLOG and other Content */
.txt-quote-blog {
	padding: 15px;
	position: relative;
	background-color: var( --e-global-color-5ad3330 );
}
.blog-content-cols .e-con-full {
	padding: 0;
	
}
@media (min-width: 1025px) {
	.txt-quote-blog::before {
		content: "";
		display: block;
		width: 200%;
		height: 100%;
		position: absolute;
		top: 0;
		right: 0;
		z-index: -1;
		background-color: var( --e-global-color-5ad3330 );
	}
	.content-three-cols .stsb_read_more_box {
		column-count: 3;
		column-gap: 16px;
	}
}

/* designer of the month page */
/* Positioning */
:root {
	--mosaicWidth: 1400px;
	--mosaicGutter: 20px;

	/* Calculating the row height: */
	--rowHeight: calc((var(--mosaicWidth) - (2 * var(--mosaicGutter))) / 3); /* even if we have 6 columns in grid, spaces we have only 2 */

	@media (max-width: 1200px) {
		--mosaicWidth: 1024px;
	}
	@media (max-width: 992px) {
		--mosaicWidth: 972px;
	}
	@media (max-width: 768px) {
		--mosaicWidth: 748px;
	}
	@media (max-width: 576px) {
		--mosaicWidth: 556px;
	}
}
.mosaic-auto .e-con-inner {
	max-width: var(--mosaicWidth);
	display: grid;
	grid-template-columns: repeat(3, 1fr);
	grid-auto-flow: dense;
	grid-auto-rows: var(--rh); // If the content is taller then the box will grow to fit. This is only going to work if the column value is 1fr
	grid-gap: var(--mosaicGutter);
}
.mosaic-auto .e-con-inner .elementor-widget-image {
	grid-column: span 1;
}
.mosaic-auto .e-con-inner .elementor-widget-image img {
    width: 100%;
    height: 100%;
    object-fit: cover;
}
.mosaic-auto .e-con-inner .elementor-widget-image:nth-child(1) {
	grid-row: span 2;
}
.mosaic-auto .e-con-inner .elementor-widget-image:nth-child(4) {
    grid-column: span 2;
}


/********* RESPONSIVE ********/
/*****************************/